package dev.shadowsoffire.apotheosis.village.fletching.arrows;

import net.minecraft.world.entity.Entity;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.ArrowRenderer;

public class ObsidianArrowRenderer extends ArrowRenderer<ObsidianArrowEntity>
{
    public static final ResourceLocation TEXTURES;
    
    public ObsidianArrowRenderer(final EntityRendererProvider.Context renderManagerIn) {
        super(renderManagerIn);
    }
    
    public ResourceLocation getTextureLocation(final ObsidianArrowEntity entity) {
        return ObsidianArrowRenderer.TEXTURES;
    }
    
    static {
        TEXTURES = new ResourceLocation("apotheosis", "textures/entity/obsidian_arrow.png");
    }
}
